# frozen_string_literal: true

require 'drb'
require 'drb/http0serv'
require 'drb/http0helper'

module UU
  class RemoteServer
    def initialize(uri)
      DRb.start_service(uri, UU::RemoteHelper.new)
    end

    def join
      DRb.thread.join
    end
  end
end
